/*
 * $Id: IllegalObjectStateException.java,v 1.3 2006/01/26 16:27:35 rampil Exp $
 * Copyright (c) 2005 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.rss;

/**
 * IllegalObjectStateException
 * オブジェクトの状態が不正の場合にスローされる例外オブジェクト
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class IllegalObjectStateException extends Exception {
	/** シリアルバージョンUID */
	private static final long serialVersionUID = 3090511217313902675L;
	/**
	 * コンストラクタ
	 */
	public IllegalObjectStateException() {
		super();
	}
	/**
	 * コンストラクタ
	 * @param m メッセージ
	 */
	public IllegalObjectStateException(String m) {
		super(m);
	}
	/**
	 * コンストラクタ
	 * @param e 原因となった例外
	 */
	public IllegalObjectStateException(Exception e) {
		super(e);
	}
}

// end of IllegalObjectStateException.java
